#include <iostream>
using namespace std;
int main()
{
long long int n, kuca;
cin>>n;
cin>>kuca;
long long int k[n], i = 0;
for(i=0;i<n; i++)
{

cin>> k[i];

}

long long int min, max, korak;
min=k[0];
max=k[0];

for(i=0;i<n;i++)
{

 if(k[i]<min)
 {
     min=k[i];
 }
 if(k[i]>max)
 {

   max=k[i];
 }
}

if(kuca<min)
{

korak = max-kuca;
     
}
else if(max<kuca)
{
    
korak= kuca - min;

}
else {

korak = kuca-min+max-min; 

}

cout<<korak;
}